#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
class HardwareInformation

  begin
    require 'colours'
    include Colours
  rescue LoadError; end

  # ========================================================================= #
  # === green?
  # ========================================================================= #
  def green?
    Colours::GREEN
  end

  # ========================================================================= #
  # === bold_teal?
  # ========================================================================= #
  def bold_teal?
    Colours::BOLD_TEAL
  end

  # ========================================================================= #
  # === use_colours?
  # ========================================================================= #
  def use_colours?
    @use_colours
  end

  # ========================================================================= #
  # === enable_colours
  # ========================================================================= #
  def enable_colours
    @use_colours = true
  end

  # ========================================================================= #
  # === disable_colours
  # ========================================================================= #
  def disable_colours
    @use_colours = false
  end

  # ========================================================================= #
  # === thistle
  # ========================================================================= #
  def thistle(i)
    return Colours.thistle(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === royalblue
  # ========================================================================= #
  def royalblue(i)
    return Colours.royalblue(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === steelblue
  # ========================================================================= #
  def steelblue(i)
    return Colours.steelblue(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === rev
  # ========================================================================= #
  def rev
    if use_colours?
      Colours.rev
    else
      ''
    end
  end

end