#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
class HardwareInformation

  # ========================================================================= #
  # === make_line
  #
  # The first argument to this method should be the title that will
  # be displayed.
  #
  # The second argument should show the content towards that argument.
  # ========================================================================= #
  def make_line(
      title, content
    )
    title = title.dup if title.frozen?
    use_this_colour_for_change = bold_teal?
    use_this_colour_to_revert  = @default_colour # First a copy.
    title << ': ' if @use_colon_as_delimiter
    title   = default_ljust(title)
    content = default_rjust(content)
    # ======================================================================= #
    # === Handle blocks next
    #
    # The passed block can modify the variable called content. This
    # will happen after the various padding-operations above.
    # ======================================================================= #
    if block_given?
      yielded = yield
      case yielded
      when nil
        # Pas through.
      else # Else, use colours.
        if use_colours?
          content = Colours.send(yielded, content)
        end
      end
    end
    string = ''.dup
    string << use_this_colour_for_change if use_colours?
    string << title
    string << use_this_colour_to_revert if use_colours?
    string = string.ljust(40)
    if content.is_a? Array
      _ string
      content.each {|line| _ "    #{line}" }
    else
      string << content
      _ string
    end
  end

end