#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'hardware_information/class/menu.rb'
# =========================================================================== #
class HardwareInformation # === HardwareInformation

  # ========================================================================= #
  # === start_the_sinatra_interface
  #
  # To invoke this method, do:
  #
  #   hardi --sinatra
  #
  # ========================================================================= #
  def start_the_sinatra_interface
    require 'hardware_information/www/my_hardware_for_sinatra.rb'
    HardwareInformation::SinatraMyHardware.start_sinatra_interface
  end

  # ========================================================================= #
  # === menu                                                       (menu tag)
  #
  # Commandline-arguments, e. g. ARGV, will be passed into this menu
  # interface.
  # ========================================================================= #
  def menu(
      i = nil
    )
    if i
      if i.is_a? Array
        i.each {|entry| menu(entry) }
      else
        case i # case tag
        # =================================================================== #
        # === hardi --sinatra
        # =================================================================== #
        when /^-?-?sinatra$/
          start_the_sinatra_interface
        # =================================================================== #
        # === hardi --disable-colours
        # =================================================================== #
        when /^-?-?disable(-|_)?colou?rs$/,
             /^-?-?no(-|_)?colou?rs$/
          disable_colours
        end
      end
    end
  end

end