#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'hardware_information/class/reset.rb'
# =========================================================================== #
class HardwareInformation

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    # ======================================================================= #
    # === @string
    # ======================================================================= #
    @string = ''.dup
    # ======================================================================= #
    # === @default_colour
    # ======================================================================= #
    @default_colour = green?
    # ======================================================================= #
    # === @default_padding
    #
    # This variable denotes the leading padding. That padding will be
    # prepended to the output.
    # ======================================================================= #
    @default_padding = ' '.dup # 1 space.
    # ======================================================================= #
    # === @use_colours
    # ======================================================================= #
    @use_colours = true # If true we use ANSI colours.
    # ======================================================================= #
    # === @use_colon_as_delimiter
    # ======================================================================= #
    @use_colon_as_delimiter = true # If true we use colon as delimiter.
    # ======================================================================= #
    # === @hash_use_these_colours
    #
    # Next we will load the internal .yml file, if it exists.
    # ======================================================================= #
    @hash_use_these_colours = {}
    if File.exist? FILE_COLOURS_FOR_THE_HARDWARE_PROJECT
      require 'yaml'
      @hash_use_these_colours.update(
        YAML.load_file(FILE_COLOURS_FOR_THE_HARDWARE_PROJECT)
      )
    else # else use a hardcoded approach.
      @hash_use_these_colours[:filesize_of_the_harddisc] = :orchid
      @hash_use_these_colours[:file_system_type] = :steelblue
    end
    set_commandline_mode # Default.
  end

end