#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'hardware_information/class/run.rb'
# =========================================================================== #
class HardwareInformation

  # ========================================================================= #
  # === run
  # ========================================================================= #
  def run
    add_title
    obtain_architecture                  # === Architecture
    obtain_cpu_model                     # === The CPU model, such as "AMD"
    obtain_cpu_op_modes                  # === CPU op-modes
    obtain_n_cores                       # === n CPU cores
    find_out_the_amount_of_processors    # === Amount of processors
    obtain_vendor_id                     # === Vendor ID
    obtain_virtualization                # === Virtualization
    obtain_linux_kernel_version          # === The Linux kernel version
    obtain_ram                           # === Amount of RAM
    obtain_ram_free
    obtain_swap_size                     # === SwapTotal
    obtain_chip_mhz                      # === Chip MHzx
    obtain_cache_size
    obtain_system_bogomips               # === BogoMIPS
    obtain_byte_order
    obtain_cpu_family
    obtain_model                         # === Model
    obtain_information_about_the_GPU     # === Show the GPU in use
    obtain_firmware_information          # === Firmware Information
    obtain_pci_information
    add_audio_information                # === Show the audio device
    obtain_information_about_the_monitor # === Gather information about the monitor
    append_newline
    append_output_generated_via_lsblk
    report_result if @run_already # Last but not least, report the result.
  end

  # ========================================================================= #
  # === HardwareInformation.run
  # ========================================================================= #
  def self.run
    self.new
  end; self.instance_eval { alias report run } # === HardwareInformation.report

end